using System;
using System.Collections.Generic;
using System.Text;

namespace HREngine.Bots
{
	class Sim_KAR_712 : SimTemplate //* Violet Illusionist
	{
		//During your turn, your hero is Immune.

        public override void onAuraStarts(Playfield p, Minion own)
        {
            if (own.own) p.ownVioletIllusionist++;
            else p.enemyVioletIllusionist++;
        }

        public override void onAuraEnds(Playfield p, Minion own)
        {
            if (own.own) p.ownVioletIllusionist--;
            else p.enemyVioletIllusionist--;
        }
    }
}